## org.apache.commons.configuration.interpol
Class ExprLookup.Variable

    java.lang.Object
      org.apache.commons.configuration.interpol.ExprLookup.Variable

Enclosing class:
  ExprLookup

    public static class ExprLookup.Variable

extends Object

The key and corresponding object that will be made available to the JexlContext for use in expressions.

Constructor Summary
`ExprLookup.Variable()`
`ExprLookup.Variable(String name, Object value)`

Method Summary
`String` `getName()`
`Object` `getValue()`
`void` `setName(String name)`
`void` `setValue(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExprLookup.Variable

    public ExprLookup.Variable()

### ExprLookup.Variable

    public ExprLookup.Variable(String name,
                               Object value)

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getValue

    public Object getValue()

### setValue

    public void setValue(Object value)
                  throws ConfigurationRuntimeException

  Throws:
    `ConfigurationRuntimeException`

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.